
Foreman - Bug #11053

Ethernet interfaces not checked for uniqueness and foreman would not allow to delete.

07/08/2015 11:47 AM - Neeraj Harikrishnan

Status: Duplicate   

Priority: Low   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The interface tab somehow allowed two interfaces with same name (eth0) and now would not allow to delete either one.

I get a error "Some of the interfaces are invalid. Please check the table below " when I try to delete one

Foreman Version - 1.8

Please check Screenshot attached.

Related issues:

Related to Foreman - Bug #11031: Cannot remove interface with duplicate name Closed 07/07/2015

Related to Foreman - Bug #11034: network/interfaces validation checks the rem... Closed 07/07/2015

History

#1 - 07/09/2015 02:32 AM - Marek Hulán

- Category set to Network

- Status changed from New to Duplicate

I think this is duplicate of #11031

#2 - 07/09/2015 02:32 AM - Marek Hulán

- Related to Bug #11031: Cannot remove interface with duplicate name added

#3 - 07/09/2015 02:32 AM - Marek Hulán

- Related to Bug #11034: network/interfaces validation checks the removed interfaces  added
